{% extends 'templates/default.twig' %}

{% block title %}Sign up{% endblock %}

{% block content %}
<div class="section">
    <div class="container">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="card">
                    <div class="card-header">Sign up</div>
                    <div class="card-body">
                        <form action="{{ urlFor("auth.signup") }}" method="POST" autocomplete="off">
                            <div class="form-group">
                                <label for="email">E-Mail Address</label>
                                <input type="email" class="form-control {% if errors.email %}is-invalid{% endif %}" name="email" id="email" placeholder="E-Mail Address" value="{{ request.post("email") }}">
                                {% if errors.email %}
                                    <small class="invalid-feedback">{{ errors.email|first }}</small>
                                {% endif %}
                            </div>
                            <div class="form-group">
                                <div class="d-flex justify-content-between">
                                    <label for="password">Password</label>
                                    <a href="#" id="show-password" tabindex="-1" style="display: block;"><i class="far fa-eye"></i> Show</a>
                                    <a href="#" id="hide-password" tabindex="-1" style="display: none;"><i class="far fa-eye-slash"></i> Hide</a>
                                </div>
                                <input type="password" class="form-control {% if errors.password %}is-invalid{% endif %}" name="password" id="password" placeholder="Password">
                                {% if errors.password %}
                                    <small class="invalid-feedback">{{ errors.password|first }}</small>
                                {% endif %}
                            </div>
                            <div class="form-group d-flex justify-content-between">
                                <button type="submit" class="btn btn-default">Sign up</button>
                                <a href="{{ urlFor("auth.signin") }}" class="mt-2">Go to Sign in page</a>
                            </div>

                            {{ csrf|raw }}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block script %}
<script src="{{ baseUrl() }}/assets/js/authentication.js"></script>
{% endblock %}
